- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
GNet::AcceptPair Class Reference

A class which is used to return a new()ed socket to calling code, together with associated information, and with auto_ptr style transfer of ownership. More...

`#include <gsocket.h>`

## Public Types
typedef std::auto_ptr< StreamSocket > | first_type
typedef Address | second_type

## Public Member Functions
| AcceptPair (StreamSocket *new_p, Address a)
| Constructor. More...
| AcceptPair (const AcceptPair &other)
| Copy constructor. More...
AcceptPair & | operator= (const AcceptPair &rhs)
| Assignment operator. More...

## Public Attributes
first_type | first
second_type | second

## Detailed Description

A class which is used to return a new()ed socket to calling code, together with associated information, and with auto_ptr style transfer of ownership.

Definition at line 246 of file gsocket.h.

## Member Typedef Documentation

typedef std::auto_ptr<StreamSocket> GNet::AcceptPair::first_type

Definition at line 249 of file gsocket.h.

typedef Address GNet::AcceptPair::second_type

Definition at line 250 of file gsocket.h.

## Constructor & Destructor Documentation

GNet::AcceptPair::AcceptPair | ( | StreamSocket * | new_p,
|  | Address | a
| ) |  |
| inline

Constructor.

Definition at line 359 of file gsocket.h.

GNet::AcceptPair::AcceptPair | ( | const AcceptPair & | other | ) |
| inline

Copy constructor.

Definition at line 366 of file gsocket.h.

## Member Function Documentation

GNet::AcceptPair & GNet::AcceptPair::operator= | ( | const AcceptPair & | rhs | ) |
| inline

Assignment operator.

< (safe for self-assignment)

Definition at line 373 of file gsocket.h.

References first, and second.

## Member Data Documentation

first_type GNet::AcceptPair::first

Definition at line 252 of file gsocket.h.

Referenced by GNet::StreamSocket::accept(), and operator=().

second_type GNet::AcceptPair::second

Definition at line 253 of file gsocket.h.

Referenced by GNet::StreamSocket::accept(), and operator=().

The documentation for this class was generated from the following file:

- gsocket.h